/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

@namespace html url("http://www.w3.org/1999/xhtml");

:root:-moz-lwtheme {
  background-color: var(--lwt-accent-color);
  color: var(--lwt-text-color);
}

:root[canDisable] #calendar-properties-table {
  margin-inline-start: 20px;
}

body {
  overflow: auto;
}

#calendar-properties-table th,
#calendar-properties-table td {
  min-height: 26px;
}

#calendar-properties-table th {
  text-align: start;
  font-weight: normal;
}

#calendar-properties-table td {
  width: 100%;
}

#calendar-properties-table html|input[type="number"].size3 {
  width: calc(3ch + 55px);
}

#calendar-email-identity-row > td,
#calendar-refreshInterval-row > td {
  display: flex;
}

#calendar-refreshInterval-menulist,
#email-identity-menulist {
  flex: 1;
}

#calendar-notifications {
  margin-inline-start: 24px;
}

#calendar-notifications-title {
  font-size: 1.1em;
  font-weight: 600;
}

calendar-notifications-setting {
  display: block;
}

calendar-notifications-setting .add-button {
  list-style-image: url(chrome://global/skin/icons/add.svg);
  fill: currentColor;
  -moz-context-properties: fill;
}

calendar-notifications-setting .add-button .button-icon {
  margin-inline-end: 6px;
}

calendar-notifications-setting .remove-button {
  width: 26px;
  min-width: 0;
  padding: 0 4px;
  list-style-image: url(chrome://global/skin/icons/delete.svg);
  fill: currentColor;
  background: none;
  border: none;
  -moz-context-properties: fill;
}

calendar-notifications-setting .calendar-notifications-row:last-child {
  margin-bottom: 20px;
}

#global-notifications-row {
  width: 100%;
}
